// Beschreibung der Klasse TestDatenstrom.
// Autor:

import java.io.*;
import java.util.*;

public class TestDatenstrom {
   // Instanzvariablenvariablen
   public  String s = "Gelb";
   public int intVar = 1234;
   public double doubleVar = 123.45;

   // Instanzmethoden
   public void schreibeByte() throws IOException {
      File senke = new File("Daten.txt") ;
      FileOutputStream fos = new FileOutputStream(senke);
      DataOutputStream dos = new DataOutputStream(fos);
      
      dos.writeInt(intVar);
      dos.writeDouble(doubleVar);
      dos.writeUTF(s);
      dos.close();      
   }
   
   public void leseByte() throws IOException {
      File quelle = new File("Daten.txt") ;
      FileInputStream fis = new FileInputStream(quelle);
      DataInputStream dis = new DataInputStream(fis);
      
      System.out.println(dis.readInt());
      System.out.println(dis.readDouble());
      System.out.println(dis.readUTF());
      dis.close();
   }

   public void schreibeText() throws IOException {
      File senke = new File("DatenText.txt") ;
      FileOutputStream fos = new FileOutputStream(senke);
      PrintStream ps = new PrintStream(fos);
      
      ps.print(1); ps.print("  ");
      ps.println(1.23);
      ps.println("Gelb");
      ps.println();
      ps.print("Schluss");
      ps.close();
   }

   public void leseZeile() throws IOException {
      InputStream tastatur = System.in ;
      InputStreamReader isr = new InputStreamReader(tastatur) ;
      BufferedReader br = new BufferedReader(isr) ;        
      String eingabeZeile ;
     
      System.out.println("*** Programmstart ***");      
      System.out.print("Eingabe: ");
      eingabeZeile = br.readLine();

      while ( eingabeZeile.length() > 0 ) {
         System.out.println("Ausgabe: " + eingabeZeile);
         System.out.print("Eingabe: ");
         eingabeZeile = br.readLine();
      } 

      System.out.println("*** Programmende ***");      
   }
   
   public void leseDateiInfo() throws IOException {
      File datei = new File("DatenText.txt");
      
      if (!datei.isFile()) {
         System.err.println("Keine Datei gefunden!");
         System.exit(1);
      }

      System.out.println("Name: " + datei.getName());
      System.out.println("Path: " + datei.getPath());
      System.out.println("AbsolutePath: " + datei.getAbsolutePath());
      System.out.println("Parent: " + datei.getParent());
      System.out.println("canWrite: " + datei.canWrite());
      System.out.println("lastModified: " + new Date(datei.lastModified()));
      System.out.println("length: " + datei.length());
   }
}
